POST api/sync/credasv2process/{groupId}/{personId}/{negId}
callback from credas to notify us of process updates to a case Processes this sync API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| groupId |
The unique identifier of the group resource. |
integer |
Required |
| personId |
The unique identifier of the person resource. |
integer |
Required |
| negId |
The unique identifier of the neg resource. |
integer |
Required |
Body Parameters
The credas v2 process webhook data contract supplied with the request.
CredasV2ProcessWebhookDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| ProcessId |
The unique identifier of the related process resource. |
globally unique identifier |
None. |
| ClientId |
The unique identifier of the related client resource. |
globally unique identifier |
None. |
| Status |
The status value. |
integer |
None. |
| StatusDescription |
The status description value. |
string |
None. |
Request Formats
application/x-www-form-urlencoded
Sample not available.
application/json, text/json
{
"ProcessId": "bfc4978e-8c2e-45dc-9818-0145c79382e2",
"ClientId": "fcfe23ae-2132-49d2-9ac5-b6409cfcafe8",
"Status": 3,
"StatusDescription": "sample string 4"
}
Response Information
Resource Description
The response returned after the operation completes.
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version |
The version value. |
Version |
None. |
| Content |
The content value. |
HttpContent |
None. |
| StatusCode |
The status code classification. |
HttpStatusCode |
None. |
| ReasonPhrase |
The reason phrase value. |
string |
None. |
| Headers |
The collection of headers. |
Collection of Object |
None. |
| RequestMessage |
The request message value. |
HttpRequestMessage |
None. |
| IsSuccessStatusCode |
Indicates whether this item is success status code. |
boolean |
None. |